net.sourceforge.pmd.stat

## Class MetricTest

- java.lang.Object
- - net.sourceforge.pmd.stat.MetricTest

    public class MetricTest
    extends Object

Author:
  David Dixon-Peugh

### Constructor Summary

Constructors
Constructor and Description
`MetricTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testGetAverage()`
`void` `testGetCount()`
`void` `testGetHighValue()`
`void` `testGetLowValue()`
`void` `testGetMetricName()`
`void` `testGetStandardDeviation()`
`void` `testGetTotal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricTest

    public MetricTest()

### Method Detail

#### testGetMetricName

    public void testGetMetricName()

#### testGetCount

    public void testGetCount()

#### testGetTotal

    public void testGetTotal()

#### testGetLowValue

    public void testGetLowValue()

#### testGetHighValue

    public void testGetHighValue()

#### testGetAverage

    public void testGetAverage()

#### testGetStandardDeviation

    public void testGetStandardDeviation()

#### suite

    public static junit.framework.Test suite()